Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
sip-trunks
List SIP trunks
curl --request GET \
  --url https://api.itellico.ai/v1/accounts/{account_id}/sip-trunks \
  --header 'X-API-Key: <api-key>'
{
  "count": 123,
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "phone_numbers": [
        {
          "id": "<string>",
          "number": "<string>",
          "friendly_name": "<string>"
        }
      ],
      "has_auth_password": false,
      "auth_password_length": 123,
      "allowed_ips": [
        "<string>"
      ],
      "termination_uri": "<string>",
      "sip_auth_username": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

account_id
string<uuid4>
required

Query Parameters

limit
integer
default:100
Required range: x >= 1
offset
integer
default:0
Required range: x >= 0

Response

200 - application/json

OK

count
integer
required
items
SIPTrunkV1Out · object[]
required